[U-co] [FLISoL-Bogotá]OpenSUSE

Jorge Gonzalez jag2kn en gmail.com
Vie Abr 24 19:56:26 BST 2009


2009/4/24 Julián Alarcón <alarconj en gmail.com>

>
> Les comento.. aunque es lo que se de Ubuntu por experiencia en la práctica,
> pero tambien lo se por compañeros que usan OpenSuse, y Fedora.
>
> Cuando hablo del problema de los 64 bits en java, no me refiero al "nucleo"
> (Java Runtime Environment), sino al plugin.
> El plugin de 64 bits ha tenido problemas porque hasta hace poco por fin
> sacaron un plugin para 64 bits (no se si ya estan en los repositorios,
> probablemente si, pero solo en las ultimas versiones, en este caso, por
> ahora solo en 9.04, aunque lógicamente se puede instalar de forma externa en
> otras versiones y distros... no se si sea conveniente cuando salga alguna
> actualización). O se puede utilizar icedTea/OpenJDK que ha mejroado el
> soporte...
>
> Pero, a modo de ejemplo, al subir fotos a Facebook (que aunque yo no tenga,
> mis hermanas si...) se inicia un applet de Java, y este si que tiene
> problemas...
> El JRE y el JDK de java está disponible hace años en Linux, pero solo hasta
> hace poco el plugin.
> http://www.phoronix.com/scan.php?page=news_item&px=NjkyOQ
>
> El otro caso es flash. Hay muchos métodos de instalar un plugin que sea
> compatible con contenido de flash en una distro de 64 bits, son
> "automáticas" en algunas distros, o toca de forma manual:
>
> 1. Usando Gnash
> 2. Usando Swfdec
> 3. Usando nspluginwrapper (es un encapsulador de plugins, similar a
> ndiswrapper) (creo que Fedora tiene un sistema similar pero no igual)
> 4. Instalando una version de 32 bits de Firefox y utilizar el plugin normal
> 5. Instalar la versión Flash 10 pre-alpha que tiene soporte de 64 bits
>
> https://help.ubuntu.com/community/AMD64/FirefoxAndPlugins
>
> Personalmente, no recomiendo ninguna de estas si queremos un sistema
> estable... según estadísticas de errores de flash (salio en un blog de
> mozilla) el %80 de errores eran debido a Flash.. Y si le agregamos el factor
> 64 bits... esos errores aumentan bastante... Personalmente, hasta que no
> salga una versión muy buena de Gnash, o hasta que no salga la versión
> oficial de Flash 10+ con soporte 64 bits (o al menos una beta). No
> recomiendo usar Flash en equipos con 64 bits.
>
>
> Y, el punto que menos flexibilidad tiene y que no tiene algun "workaround"
> es el de controladores/firmwares propietarios que NO tienen soporte aun en
> 64 bits, y no hay forma de hacerlos funcionar (creo que hay algunas tarjetas
> inalambricas y tarjetas de sonido).
>
> Por esto considero que a un usuario normal.. no se le debe instalar 64 bits
> aún :(
>
> Si, puede que nos haya funcionado perfectamente en nuestros equipos, pero
> es verdad que se les ha bloqueado Firefox sin razón aparente.. lo digo por
> experiencia propia...
>
> Ahora, como mencionaron antes, cada quien es libre de instalar lo que
> quiera.. con tal de que sea software libre... Así que lo dejaría como una
> recomendación.. pero no una obligación..
>
> Si algún instalador va a instalar BSD o Solaris o una versión de Amiga OS
> libre y puede entregarle al usuario final una version ESTABLE con plugins y
> todo funcionando, esta bien.. Ese es el principal objetivo del Flisol, sino
> mejor les damos un tutorial y les damos la direccion de una lista de correos
> y ya..
>
> Alguna vez escuche a un amigo diciendo que iba a instalar Slackware a todos
> los equipos que le pidan... y el mismo mencionó "si puedo hacerlo sencillo
> para el usuario, no importa que este usando, con tal que sea estable,
> sencillo y seguro"
>

Entonces ubuntu 32 bit para todos?



-- 
Jorge Andrés González
jag2kn (at) gmail.com
jgonzalez (at) idesoluciones.com
jagonzalezce (at) unal.edu.co
http://joorge.com
Cel: 301 217 78 60
Linux Counter 345082
Bogotá     -    Colombia    -     Sur América


Más información sobre la lista de distribución Ubuntu-co